# -*- coding: utf-8 -*-
# Copyright 2023 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Generated code. DO NOT EDIT!
#
# Snippet for CreateCaPool
# NOTE: This snippet has been automatically generated for illustrative purposes only.
# It may require modifications to work in your environment.

# To install the latest published package dependency, execute the following:
#   python3 -m pip install google-cloud-private-ca


# [START privateca_v1_generated_CertificateAuthorityService_CreateCaPool_async]
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.cloud.security import privateca_v1


async def sample_create_ca_pool():
    # Create a client
    client = privateca_v1.CertificateAuthorityServiceAsyncClient()

    # Initialize request argument(s)
    ca_pool = privateca_v1.CaPool()
    ca_pool.tier = "DEVOPS"

    request = privateca_v1.CreateCaPoolRequest(
        parent="parent_value",
        ca_pool_id="ca_pool_id_value",
        ca_pool=ca_pool,
    )

    # Make the request
    operation = client.create_ca_pool(request=request)

    print("Waiting for operation to complete...")

    response = (await operation).result()

    # Handle the response
    print(response)

# [END privateca_v1_generated_CertificateAuthorityService_CreateCaPool_async]
